Antom, leading provider of tailored payment solutions

downloadDisputeEvidence

POST /v1/payments/downloadDisputeEvidence

Use this API to access the dispute evidence template and the previously uploaded dispute evidence file. The dispute evidence template contains prefilled transaction and payment information related to the dispute, which will assist you in preparing your evidence. The dispute evidence file is the document you uploaded in the previous dispute.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 

Note: Set the data type of each parameter (except array) as String. This means that you must use double quotation marks (" ") to enclose the parameter value. Examples:

  • If the data type of a parameter is Integer and its value is 20, set it as "20". 
  • If the data type of a parameter is Boolean and its value is true, set it as "true". 

Request parameters

disputeId String  REQUIRED

The unique ID that is assigned by Antom to identify a dispute.

More information:

  • Maximum length: 64 characters

disputeEvidenceType String  REQUIRED

The type of dispute evidence you can download. Valid values are:

  • DISPUTE_EVIDENCE_TEMPLATE: the pre-filled dispute evidence template, which is a valuable tool for improving the success rate of your defense. We highly recommend downloading this template to ensure all necessary information is included in your defense document. For a template sample with pre-filled information, see Merchant Letter.
  • DISPUTE_EVIDENCE_FILE: the dispute evidence file uploaded by the supplyDefenseDocument API.
  • ​DISPUTE_EVIDENCE_AI​: Indicates AI-generated dispute evidence materials. This value is only available to merchants who have enabled the Intelligent dispute API, and it is the only way to obtain the file content of AI-generated dispute evidence materials.

More information:

  • Maximum length: 64 characters

Response parameters

result Result  REQUIRED

The result of the API call.

disputeEvidence String  

The dispute evidence that is encoded in the Based64 format. Decode the Base64 document to get the Word or PDF file.

Note: This prameter is returned when the value of resultCode is SUCCESS.

More information:

  • Maximum length: 4000000 characters

disputeEvidenceFormat String  

The document format of the dispute evidence. Valid values are:

  • WORD: indicates that the format of the dispute evidence is Word.
  • PDF: indicates that the format of the dispute evidence is PDF.
  • ZIP: indicates that the format of the dispute evidence is ZIP.
  • JPG: indicates that the format of the dispute evidence is JPG.

Note: This prameter is returned when the value of resultCode is SUCCESS.

More information:

  • Maximum length: 64 characters
API Explorer

Request

URL
Method
POST
Case
json
{
  "disputeId": "202401012501310115730104****",
  "disputeEvidenceType": "DISPUTE_EVIDENCE_TEMPLATE"
}

Response

json
{
  "result": {
    "resultStatus": "S",
    "resultCode": "SUCCESS",
    "resultMessage": "success."
  },
  "disputeEvidence": "Base64 Encoded File",
  "disputeEvidenceFormat": "PDF"
}

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess.

 No further action is needed.

UNKNOWN_EXCEPTIONUAPI failed due to an unknown reason.

Call the interface again to resolve the issue. If not resolved, contact Antom Technical Support.

DEFENSE_FILE_NOT_READYFThe defense materials have not been generated yet.

Retry is allowed. It is recommended to continue querying according to the polling rules until a final status is reached. It may later transition to: ​SUCCESS​, indicating that generation is complete; ​DEFENSE_FILE_SIZE_EXCEED​, indicating that generation is complete but the file exceeds the size limit; or, after 30 minutes, be determined as “no AI materials for this attempt.”

MERCHANT_NOT_ENABLEDFThe merchant has not enabled the intelligent defense API, or is not in the whitelist.

This cannot be resolved by modifying parameters. Contact your Antom account manager to apply for enabling the intelligent defense API. After it is enabled, use ​DISPUTE_EVIDENCE_AI​.

PARAM_ILLEGALFIllegal parameters. For example, non-numeric input, invalid date.

Check and verify whether the required request fields (including the header fields and body fields) of the current API are correctly passed and valid.